import { useValidator } from 'src/composables/useValidator';

export function useRequired($attrs) {
    const { validations } = useValidator();
    const isRequired =
        typeof $attrs['required'] === 'boolean'
            ? $attrs['required']
            : Object.keys($attrs).includes('required');
    const requiredFieldRule = (val) => validations().required(isRequired, val);

    return {
        isRequired,
        requiredFieldRule,
    };
}
