export default {
    include: [
        {
            relation: 'travel',
            scope: {
                fields: [
                    'id',
                    'landed',
                    'shipped',
                    'agencyModeFk',
                    'warehouseOutFk',
                    'warehouseInFk',
                    'daysInForward',
                ],
                include: [
                    {
                        relation: 'agency',
                        scope: {
                            fields: ['name'],
                        },
                    },
                    {
                        relation: 'warehouseOut',
                        scope: {
                            fields: ['name', 'code'],
                        },
                    },
                    {
                        relation: 'warehouseIn',
                        scope: {
                            fields: ['name', 'code'],
                        },
                    },
                ],
            },
        },
        {
            relation: 'supplier',
            scope: {
                fields: ['id', 'nickname'],
            },
        },
        {
            relation: 'currency',
            scope: {
                fields: ['id', 'code'],
            },
        },
        {
            relation: 'entryType',
            scope: {
                fields: ['code', 'description'],
            },
        },
    ],
};
