import axios from 'axios';
import agency from 'src/router/modules/agency';

export async function getAgencies(formData, client, _filter = {}) {
    if (!formData.warehouseId || !formData.addressId || !formData.landed) return;
    
    const filter = {
        ..._filter
    };

    let defaultAgency = null;
    let params = {
        filter: JSON.stringify(filter),
        warehouseFk: formData.warehouseId,
        addressFk: formData.addressId,
        landed: formData.landed,
    };

    const { data } = await axios.get('Agencies/getAgenciesWithWarehouse', { params });

    if(data && client) {
        defaultAgency = data.find((agency) => agency.agencyModeFk === client.defaultAddress.agencyModeFk );
    };
    
    return {options: data, agency: defaultAgency}
}
