export default {
    include: [
        {
            relation: 'address',
            scope: {
                fields: ['id', 'name', 'mobile', 'phone', 'incotermsFk'],
            },
        },
        {
            relation: 'client',
            scope: {
                fields: [
                    'id',
                    'name',
                    'salesPersonFk',
                    'phone',
                    'mobile',
                    'email',
                    'isActive',
                    'isFreezed',
                    'isTaxDataChecked',
                    'hasElectronicInvoice',
                    'credit',
                ],
                include: [
                    {
                        relation: 'user',
                        scope: {
                            fields: ['id', 'lang'],
                        },
                    },
                    { relation: 'salesPersonUser' },
                ],
            },
        },
        {
            relation: 'ticketState',
            scope: {
                include: { relation: 'state' },
            },
        },
        {
            relation: 'warehouse',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'agencyMode',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'zone',
            scope: {
                fields: [
                    'agencyModeFk',
                    'bonus',
                    'hour',
                    'id',
                    'isVolumetric',
                    'itemMaxSize',
                    'm3Max',
                    'name',
                    'price',
                    'travelingDays',
                ],
            },
        },
    ],
};
