import axios from 'axios';
import notifyResults from 'src/utils/notifyResults';

export default async function (data, date) {
    const reducedData = data.reduce((acc, item) => {
        const existing = acc.find(({ ticketFk }) => ticketFk === item.id);
        if (existing) {
            existing.sales.push(item.saleFk);
        } else {
            acc.push({ ticketFk: item.id, sales: [item.saleFk], date });
        }
        return acc;
    }, []);

    const promises = reducedData.map((params) => axios.post(`Tickets/split`, params));

    const results = await Promise.allSettled(promises);

    notifyResults(results, 'ticketFk');

    return results;
}
