describe('EntryStockBought', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('buyer');
        cy.visit(`/#/entry/stock-Bought`);
    });
    it('Should edit the reserved space', () => {
        cy.get('.q-field__native.q-placeholder').should('have.value', '01/01/2001');
        cy.get('[data-col-field="reserve"][data-row-index="0"]').click();
        cy.get('input[name="reserve"]').type('10{enter}');
        cy.get('button[title="Save"]').click();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });
    it('Should add a new reserved space for buyerBoss', () => {
        cy.addBtnClick();
        cy.get('input[aria-label="Reserve"]').type('1');
        cy.get('input[aria-label="Date"]').eq(1).clear();
        cy.get('input[aria-label="Date"]').eq(1).type('01-01');
        cy.get('input[aria-label="Buyer"]').type('buyerBossNick');
        cy.get('div[role="listbox"] > div > div[role="option"]')
            .eq(0)
            .should('be.visible')
            .click();

        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.get('.q-notification__message').should('have.text', 'Data created');

        cy.get('[data-col-field="reserve"][data-row-index="1"]').click().clear();
        cy.get('[data-cy="searchBtn"]').eq(1).click();
        cy.get('.q-table__bottom.row.items-center.q-table__bottom--nodata')
            .should('have.text', 'warningNo data available')
            .type('{esc}');
        cy.get('[data-col-field="reserve"][data-row-index="1"]')
            .click()
            .type('{backspace}{enter}');
        cy.get('[data-cy="crudModelDefaultSaveBtn"]').should('be.enabled').click();
        cy.get('.q-notification__message').eq(1).should('have.text', 'Data saved');
    });
    it('Should check detail for the buyer', () => {
        cy.get('[data-cy="searchBtn"]').eq(0).click();
        cy.get('tBody > tr').eq(1).its('length').should('eq', 1);
    });

    it('Should edit travel m3 and refresh', () => {
        cy.get('[data-cy="edit-travel"]').should('be.visible').click();
        cy.get('input[aria-label="m3"]').clear().type('60');
        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.get('.vn-row > div > :nth-child(2)').should('have.text', '60');
    });
});
