/// <reference types="cypress" />
describe('InvoiceInBasicData', () => {
    const firstFormSelect = '.q-card > .vn-row:nth-child(1) > .q-select';
    const dialogInputs = '.q-dialog input';
    const resetBtn = '.q-btn-group--push > .q-btn--flat';
    const getDocumentBtns = (opt) => `[data-cy="dms-buttons"]  > :nth-child(${opt})`;

    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/1/basic-data`);
    });

    it('should edit the provideer and supplier ref', () => {
        cy.dataCy('UnDeductibleVatSelect').type('4751000000');
        cy.get('.q-menu .q-item').contains('4751000000').click();
        cy.get(resetBtn).click();

        cy.waitForElement('#formModel').within(() => {
            cy.dataCy('vnSupplierSelect').type('Bros nick');
        })
        cy.get('.q-menu .q-item').contains('Bros nick').click();
        cy.saveCard();
        cy.get(`${firstFormSelect} input`).invoke('val').should('eq', 'Bros nick');
    });

    it('should edit, remove and create the dms data', () => {
        const firtsInput = 'Ticket:65';
        const secondInput = "I don't know what posting here!";

        //edit
        cy.get(getDocumentBtns(2)).click();
        cy.get(dialogInputs).eq(0).type(`{selectall}${firtsInput}`);
        cy.get('textarea').type(`{selectall}${secondInput}`);
        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.get(getDocumentBtns(2)).click();
        cy.get(dialogInputs).eq(0).invoke('val').should('eq', firtsInput);
        cy.get('textarea').invoke('val').should('eq', secondInput);
        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.checkNotification('Data saved');

        //remove
        cy.get(getDocumentBtns(3)).click();
        cy.get('[data-cy="VnConfirm_confirm"]').click();
        cy.checkNotification('Data saved');

        //create
        cy.get('[data-cy="dms-create"]').eq(0).click();
        cy.get('[data-cy="VnDms_inputFile"').selectFile(
            'test/cypress/fixtures/image.jpg',
            {
                force: true,
            },
        );
        cy.get('[data-cy="FormModelPopup_save"]').click();
        cy.checkNotification('Data saved');
    });
});
