/// <reference types="cypress" />
describe('Item tag', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/item/1/tags`);
    });

    it('should throw an error adding an existent tag', () => {
        cy.get('.q-page').should('be.visible');
        cy.get('.q-page-sticky > div').click();
        cy.get('.q-page-sticky > div').click();
        cy.dataCy('Tag_select').eq(7).type('Tallos');
        cy.get('.q-menu .q-item').contains('Tallos').click();
        cy.get(':nth-child(8) > [label="Value"]').type('1');
        cy.dataCy('crudModelDefaultSaveBtn').click();
        cy.checkNotification("The tag or priority can't be repeated for an item");
    });

    it('should add a new tag', () => {
        cy.get('.q-page').should('be.visible');
        cy.get('.q-page-sticky > div').click();
        cy.get('.q-page-sticky > div').click();
        cy.dataCy('Tag_select').eq(7).click();
        cy.get('.q-menu .q-item').contains('Ancho de la base').type('{enter}');
        cy.get(':nth-child(8) > [label="Value"]').type('50');
        cy.dataCy('crudModelDefaultSaveBtn').click();
        cy.checkNotification('Data saved');
        cy.dataCy('itemTags')
            .children(':nth-child(8)')
            .find('.justify-center > .q-icon')
            .click();
        cy.dataCy('VnConfirm_confirm').click();
        cy.checkNotification('Data saved');
    });
});
