describe('Route', () => {
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/route/extended-list`);
    });

    it('Route list create route', () => {
        cy.addBtnClick();
        cy.get('input[name="description"]').type('routeTestOne{enter}');
        cy.get('.q-notification__message').should('have.text', 'Data created');
        cy.url().should('include', '/summary');
    });

    it('Route list search and edit', () => {
        cy.get('#searchbar input').type('{enter}');
        cy.get('[data-col-field="description"][data-row-index="0"]')
            .click()
            .type('routeTestOne{enter}');
        cy.get('.q-table tr')
            .its('length')
            .then((rowCount) => {
                expect(rowCount).to.be.greaterThan(0);
            });
        cy.get('[data-col-field="workerFk"][data-row-index="0"]')
            .click()
            .type('{downArrow}{enter}');
        cy.get('[data-col-field="agencyModeFk"][data-row-index="0"]')
            .click()
            .type('{downArrow}{enter}');
        cy.get('[data-col-field="vehicleFk"][data-row-index="0"]')
            .click()
            .type('{downArrow}{enter}');
        cy.get('button[title="Save"]').click();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });
});
