/// <reference types="cypress" />
describe('Ticket Lack list', () => {
    beforeEach(() => {
        cy.login('developer');
        cy.intercept('GET', /Tickets\/itemLack\?.*$/, {
            statusCode: 200,
            body: [
                {
                    itemFk: 5,
                    longName: 'Ranged weapon pistol 9mm',
                    warehouseFk: 1,
                    producer: null,
                    size: 15,
                    category: null,
                    warehouse: 'Warehouse One',
                    lack: -50,
                    inkFk: 'SLV',
                    timed: '2025-01-25T22:59:00.000Z',
                    minTimed: '23:59',
                    originFk: 'Holand',
                },
            ],
        }).as('getLack');

        cy.visit('/#/ticket/negative');
    });

    describe('Table actions', () => {
        it('should display only one row in the lack list', () => {
            cy.wait('@getLack', { timeout: 10000 });

            cy.get('.q-virtual-scroll__content > :nth-child(1) > .sticky').click();
            cy.location('href').should('contain', '#/ticket/negative/5');
        });
    });
});
