describe('ZoneList', () => {
    const agency = 'inhouse pickup';
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/zone/list');
    });

    it('should filter by agency', () => {
        cy.dataCy('zoneFilterPanelNameInput').type('{downArrow}{enter}');
    });

    it('should open the zone summary', () => {
        cy.dataCy('zoneFilterPanelAgencySelect').type(agency);
        cy.get('.q-menu .q-item').contains(agency).click();
        cy.get(':nth-child(1) > [data-col-field="agencyModeFk"]').should(
            'include.text',
            agency,
        );
    });
});
